-------------------------------------------------------
-- configuration de l'authentification CAS dans GLPI --
-------------------------------------------------------

\r glpi

-- procedure de MAJ du groupe DomainAdmins si auth_ldap --
DELIMITER //
DROP PROCEDURE IF EXISTS AddDomainAdmins//
CREATE PROCEDURE AddDomainAdmins()
BEGIN
	DECLARE compteur int(5) default 0;
	SELECT count(*) FROM `glpi_groups` WHERE `name`='DomainAdmins' INTO compteur;
	IF compteur = 0 THEN INSERT INTO `glpi_groups` (`FK_entities`, `recursive`, `name`, `comments`, `FK_users`, `ldap_field`, `ldap_value`, `ldap_group_dn`) VALUES (0,0,'DomainAdmins',NULL,0,NULL,NULL,'%%glpi_domainadmins_dn');
	ELSE UPDATE `glpi`.`glpi_groups` SET `ldap_group_dn`='%%glpi_domainadmins_dn' WHERE name='DomainAdmins';
	END IF;
END//
DELIMITER ;
-- Fin procedure --

%if %%glpi_admin_email != '' and %%glpi_smtp_host != ''
-- mail admin glpi --
LOCK TABLES `glpi_config` WRITE;
UPDATE `glpi`.`glpi_config` SET `admin_email` = '%%glpi_admin_email' WHERE `glpi_config`.`ID` =1 LIMIT 1 ;
UPDATE `glpi`.`glpi_config` SET `smtp_host` =  '%%glpi_smtp_host',
`smtp_mode` = 1 WHERE `glpi_config`.`ID` =1 LIMIT 1 ;
UNLOCK TABLES;
%end if

-- LDAP --
LOCK TABLES `glpi_config` WRITE;
UPDATE `glpi`.`glpi_config` SET `extra_ldap_server` = 0 WHERE `glpi_config`.`ID` =1 LIMIT 1 ;
UNLOCK TABLES;
--- re-creation de la table glpi_ldap_auth ---
DROP TABLE IF EXISTS `glpi_auth_ldap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `glpi_auth_ldap` (
	  `ID` int(11) NOT NULL auto_increment,
	  `name` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_host` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_basedn` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_rootdn` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_pass` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_port` varchar(255) collate utf8_unicode_ci default '389',
	  `ldap_condition` text collate utf8_unicode_ci,
	  `ldap_login` varchar(255) collate utf8_unicode_ci default 'uid',
	  `ldap_use_tls` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_group` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_group_condition` text collate utf8_unicode_ci,
	  `ldap_search_for_groups` int(11) NOT NULL default '0',
	  `ldap_field_group_member` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_email` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_realname` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_firstname` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_phone` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_phone2` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_mobile` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_comments` text collate utf8_unicode_ci,
	  `use_dn` int(1) NOT NULL default '1',
	  `timezone` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_opt_deref` int(1) NOT NULL default '0',
	  `ldap_field_title` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_type` varchar(255) collate utf8_unicode_ci default NULL,
	  `ldap_field_language` varchar(255) collate utf8_unicode_ci default NULL,
	  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
SET character_set_client = @saved_cs_client;

%if %%glpi_ldap_auth == "oui"
LOCK TABLES `glpi_config` WRITE;
UPDATE `glpi`.`glpi_config` SET `extra_ldap_server` = 1 WHERE `glpi_config`.`ID` =1 LIMIT 1 ;
UNLOCK TABLES;
LOCK TABLES `glpi_auth_ldap` WRITE;
INSERT INTO `glpi_auth_ldap` (`ID`, `name`, `ldap_host`, `ldap_basedn`, `ldap_rootdn`, `ldap_pass`, `ldap_port`, `ldap_condition`, `ldap_login`, `ldap_use_tls`, `ldap_field_group`, `ldap_group_condition`, `ldap_search_for_groups`, `ldap_field_group_member`, `ldap_field_email`, `ldap_field_realname`, `ldap_field_firstname`, `ldap_field_phone`, `ldap_field_phone2`, `ldap_field_mobile`, `ldap_field_comments`, `use_dn`, `timezone`, `ldap_opt_deref`, `ldap_field_title`, `ldap_field_type`, `ldap_field_language`) VALUES (1,'%%glpi_ldap_name','%%glpi_ldap_host','%%glpi_ldap_basedn','','','%%glpi_ldap_port','','uid','0','','(objectClass=posixGroup)',1,'memberuid','mail','sn','givenname','','','','',0,'0',0,'','','');
UNLOCK TABLES;
CALL AddDomainAdmins();
%end if

-- CAS --
LOCK TABLES `glpi_config` WRITE;
%if %%glpi_cas_auth == "oui"
UPDATE `glpi`.`glpi_config` SET `cas_host` =  '%%glpi_cas_host',
`cas_port` = '%%glpi_cas_port',
`cas_logout` = '%%glpi_cas_logout' WHERE `glpi_config`.`ID` =1 LIMIT 1 ;
%else
UPDATE `glpi`.`glpi_config` SET `cas_host` =  '',
`cas_port` = '',
`cas_logout` = '' WHERE `glpi_config`.`ID` =1 LIMIT 1 ;
%end if
UNLOCK TABLES;

DROP PROCEDURE IF EXISTS AddDomainAdmins;

